Summary:	A virtual globe and world atlas
Name:		marble
Version:	17.12.3
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		http://edu.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		marble-17.04.2-soversion.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5crash-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5runner-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	shapelib-devel
BuildRequires:	pkgconfig(libgpsd)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
Requires:	marble-common = %{EVRD}

%description
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective
Wikipedia article.

%files
%doc LICENSE.txt ChangeLog BUGS USECASES MANIFESTO.txt
%doc %{_kde5_docdir}/HTML/en/marble
%{_kde5_bindir}/marble
%{_kde5_bindir}/marble-qt
%{_kde5_iconsdir}/*/*/apps/marble.*
%{_kde5_applicationsdir}/org.kde.marble.desktop
%{_kde5_applicationsdir}/marble_geo.desktop
%{_kde5_applicationsdir}/marble_geojson.desktop
%{_kde5_applicationsdir}/marble_gpx.desktop
%{_kde5_applicationsdir}/marble_kml.desktop
%{_kde5_applicationsdir}/marble_kmz.desktop
%{_kde5_applicationsdir}/marble_shp.desktop
%{_kde5_applicationsdir}/marble_worldwind.desktop
%{_kde5_datadir}/applications/org.kde.marble-qt.desktop
%{_kde5_services}/marble_thumbnail_gpx.desktop
%{_kde5_services}/marble_thumbnail_geojson.desktop
%{_kde5_services}/marble_thumbnail_kml.desktop
%{_kde5_services}/marble_thumbnail_kmz.desktop
%{_kde5_services}/marble_thumbnail_osm.desktop
%{_kde5_services}/marble_thumbnail_shp.desktop
%{_appdatadir}/org.kde.marble.appdata.xml
%{_qt5_plugindir}/libmarblethumbnail.so

#----------------------------------------------------------------------------

%define qmlmarble %mklibname marble-qml

%package -n %{qmlmarble}
Summary:	QML plugin for Marble module
Group:		System/Libraries
Provides:	marble-qml = %{EVRD}

%description -n %{qmlmarble}
QML plugin for Marble module.

%files -n %{qmlmarble}
%dir %{_kde5_qmldir}/org/kde/marble/private/plasma/
%{_kde5_qmldir}/org/kde/marble/private/plasma/*

#----------------------------------------------------------------------------

%package common
Summary:	A virtual globe and world atlas
Group:		Graphical desktop/KDE
Requires:	plasma5-runner-marble

%description common
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective
Wikipedia article.

%files common
%{_kde5_libdir}/marble/plugins/*.so
%{_kde5_datadir}/config.kcfg/marble.kcfg
%{_kde5_datadir}/mime/packages/geo.xml
%{_kde5_services}/marble_part.desktop
%{_kde5_sysconfdir}/xdg/marble.knsrc
%dir %{_kde5_datadir}/marble
%{_kde5_datadir}/marble/*
%{_kde5_xmlguidir}/marble/marbleui.rc
%{_kde5_xmlguidir}/marble/marble_part.rc
%{_qt5_plugindir}/libmarble_part.so

#----------------------------------------------------------------------------

%package -n plasma5-applet-worldclock
Summary:	Plasma 5 worldclock plasmoid
Group:		Graphical desktop/KDE
Requires:	marble-common
Requires:	marble-qml

%description -n plasma5-applet-worldclock
Plasma 5 volume plasmoid.

%files -n plasma5-applet-worldclock
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.worldclock/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.worldclock/*
%{_kde5_services}/plasma-applet-org.kde.plasma.worldclock.desktop
%{_appdatadir}/org.kde.plasma.worldclock.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-runner-marble
Summary:	Plasma 5 marble runner
Group:		Graphical desktop/KDE

%description -n plasma5-runner-marble
Plasma 5 marble runner.

%files -n plasma5-runner-marble
%{_kde5_services}/plasma-runner-marble.desktop
%{_qt5_plugindir}/plasma_runner_marble.so

#----------------------------------------------------------------------------

%package -n plasma5-wallpaper-worldmap
Summary:	Plasma 5 worldmap wallpaper
Group:		Graphical desktop/KDE
Requires:	marble-common
Requires:	marble-qml

%description -n plasma5-wallpaper-worldmap
Plasma 5 worldmap wallpaper.

%files -n plasma5-wallpaper-worldmap
%dir %{_kde5_datadir}/plasma/wallpapers/org.kde.plasma.wallpaper.worldmap/
%{_kde5_datadir}/plasma/wallpapers/org.kde.plasma.wallpaper.worldmap/*
%{_kde5_services}/plasma-wallpaper-org.kde.plasma.wallpaper.worldmap.desktop
%{_appdatadir}/org.kde.plasma.wallpaper.worldmap.appdata.xml

#----------------------------------------------------------------------------

%define astro_major 1
%define libastro %mklibname astro %{astro_major}

%package -n %{libastro}
Summary:	Runtime library for marble
Group:		System/Libraries

%description -n %{libastro}
Runtime library for marble.

%files -n %{libastro}
%{_kde5_libdir}/libastro.so.0.*
%{_kde5_libdir}/libastro.so.%{astro_major}

#----------------------------------------------------------------------------

%define declarative_major 0
%define libdeclarative %mklibname marbledeclarative %{declarative_major}

%package -n %{libdeclarative}
Summary:	Runtime library for marble
Group:		System/Libraries

%description -n %{libdeclarative}
Runtime library for marble.

%files -n %{libdeclarative}
%{_kde5_libdir}/libmarbledeclarative.so.%{declarative_major}*

#----------------------------------------------------------------------------

%define marblewidget_major 28
%define libmarblewidget %mklibname marblewidget-qt5_ %{marblewidget_major}

%package -n %{libmarblewidget}
Summary:	Runtime library for marble
Group:		System/Libraries

%description -n %{libmarblewidget}
Runtime library for marble.

%files -n %{libmarblewidget}
%{_kde5_libdir}/libmarblewidget-qt5.so.0.*
%{_kde5_libdir}/libmarblewidget-qt5.so.%{marblewidget_major}

#----------------------------------------------------------------------------

%package devel
Summary:	Development stuff for %{name}
Group:		Development/KDE and Qt
Requires:	%{libastro} = %{EVRD}
Requires:	%{libdeclarative} = %{EVRD}
Requires:	%{libmarblewidget} = %{EVRD}

%description devel
Files needed to build applications based on %{name}.

%files devel
%{_kde5_libdir}/libastro.so
%{_kde5_libdir}/libmarbledeclarative.so
%{_kde5_libdir}/libmarblewidget-qt5.so
%{_kde5_libdir}/cmake/Astro/
%{_kde5_libdir}/cmake/Marble/
%{_kde5_includedir}/astro/
%{_kde5_includedir}/marble/
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde5 \
	-DEXPERIMENTAL_PYTHON_BINDINGS=FALSE \
	-DBUILD_python=FALSE \
	-DWITH_DESIGNER_PLUGIN=FALSE \
	-DMARBLE_PRI_INSTALL_DIR="%{_kde5_mkspecsdir}"
%make

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_kde5_sysconfdir}/xdg/
mv %{buildroot}%{_prefix}%{_kde5_sysconfdir}/xdg/marble.knsrc %{buildroot}%{_kde5_sysconfdir}/xdg/

# Drop to avoid conflicts with kde-l10n
rm -rf %{buildroot}%{_datadir}/doc
rm -rf %{buildroot}%{_datadir}/locale

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (f14c48f) New version 17.12.3

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (c46585a) New libmarblewidget major 28
- (Andrey Bondrov: aab09ff) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.3-1
- (ba277bc) New version 17.04.3

* Thu Jun 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.2-1
- (5be98f5) New library major 27
- (5be98f5) Update files
- (5be98f5) Don't ship locales yet to avoid conflicts with kde-l10n
- (Andrey Bondrov: 14ca417) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.3-1
- (13071fc) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.2-1
- (42858d8) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-2
- (ceafae6) MassBuild#1230: Increase release tag

* Sun Jan 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-1
- (58d35ce) Define MARBLE_PRI_INSTALL_DIR
- (Andrey Bondrov: bb207f4) Add new packages for marble-qml, plasma5-applet-worldclock and plasma5-wallpaper-worldmap
- (Andrey Bondrov: 4cce255) New marblewidget-qt5 library major 26
- (Andrey Bondrov: 4cce255) Update files
- (Andrey Bondrov: c9cde6c) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-2
- (a8b8b9e) MassBuild#1212: Increase release tag

* Fri Oct 28 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-1
- (83fbada) Add missing patch
- (Andrey Bondrov: e3ef310) Use _appdatadir macro
- (Andrey Bondrov: 6c7ada5) New version 16.08.2
- (Andrey Bondrov: 6c7ada5) Switch to Qt5/KF5

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-5
- (13f91d5) MassBuild#1169: Increase release tag

* Thu Dec 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-4
- (2b7262a) Bump release

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 4.14.3-3
- (af76b80) MassBuild#656: Increase release tag

* Tue Dec 23 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-2
- (289aae4) Build without QtLocation support, seems to be useless for us

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-1
- (19ceb5f) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.3-1
- (bf684ab) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.13.2-2
- (1031071) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.2-1
- (288315a) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.4-1
- (463130e) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.3-1
- (22b5cff) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.4-1
- (56eb6a4) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.3-1
- (a5372de) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.2-1
- (42d7235) LOG New version 4.11.2


